/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.GP_PricingClase;
import com.rjconsultores.ventaboletos.entidad.PricingClase;

/**
 *
 * @author Rafius
 */
public class RenderPricingClase implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	if( o instanceof PricingClase) {
	        PricingClase pc = (PricingClase) o;
	
	        Listcell lc = new Listcell();
	
	        if (pc.getClaseServicio() != null) {
	            lc = new Listcell(pc.getClaseServicio().getDescclase());
	        } else {
	            lc = new Listcell("-");
	        }
	        lc.setParent(lstm);
	
	        lstm.setAttribute("data", pc);
    	} else {
    		GP_PricingClase pc = (GP_PricingClase) o;
    		
	        Listcell lc = new Listcell();
	
	        if (pc.getClaseServicio() != null) {
	            lc = new Listcell(pc.getClaseServicio().getDescclase());
	        } else {
	            lc = new Listcell("-");
	        }
	        lc.setParent(lstm);
	
	        lstm.setAttribute("data", pc);
    	}
    }
}
